Skip to main content
PATCH
Partially update studio template

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

studioTemplateId
integer<int64>
required

Id of the widget studio template object

Body

application/json
id
integer<int64>

Id of the widget studio template

isFavorite
boolean

Indicates if the template has been marked as a favorite

siteId
integer<int64>

Site Id of the project this widget studio template belongs to

studioTemplate
string

Data that belongs to this widget studio template

widgetId
integer<int64>

Widget that can be parsed and used as a studio template

Response

OK

siteId
integer<int64>
required

Site Id of the widget studio template.

id
integer<int64>
read-only

Unique Id of the given widget studio template.

isFavorite
boolean

Indicates if this template has been marked as a favorite.

studioTemplate
string

Widget studio template data that is associated with this template.

widgetId
integer<int64>

Widget that can be parsed and used as a studio template.